package vn.hongyegroup.yybusiness.mvvm

import com.android.basiclib.base.vm.BaseRepository
import com.android.basiclib.bean.OkResult
import com.android.basiclib.engine.network.httpRequest
import com.android.basiclib.utils.CheckUtil
import com.android.basiclib.utils.log.MyLogUtils
import vn.hongyegroup.yybusiness.entity.LoginBean
import vn.hongyegroup.yybusiness.http.AppRetrofit
import javax.inject.Inject
import javax.inject.Singleton


@Singleton
class AppRepository @Inject constructor() : BaseRepository() {

    /**
     * 登录
     */
    suspend inline fun requestLogin(code: String, password: String, registerId: String?): OkResult<LoginBean> {

        val params = hashMapOf<String, String>()
        params["code"] = code
        params["password"] = password

        if (!CheckUtil.isEmpty(registerId)) {
            params["register_id"] = registerId!!
        }

        MyLogUtils.w("请求参数：$params")

        return httpRequest {
            AppRetrofit.apiService.requestLogin(params)
        }

    }

    /**
     * 登出
     */
    suspend inline fun requestLogout(token: String): OkResult<Boolean> {

        return httpRequest {
            AppRetrofit.apiService.requestLogout(token)
        }

    }



}